USE Asp;

-- ======================================================================
--    Applications en fonction du mode (module ou type d'utilisateur)
--                             et de l'option
-- ----------------------------------------------------------------------
-- Mode type d'utilisateur :
--   0  : UserConf
--   1  : UserAdm
--   2  : Modules
--   3  : Track
--   4  : AddElv
--   5  : AddElv+
--   6  : Encyclo
--   7  : FullText (Intuition)
-- Mode module :
--   10 : Glossary
--   11 : Advice
--   12 : Program
--   13 : Eval
--   14 : A2s
--   15 : Annales
--   16 : EncLitt
--   17 : Dico
-- ======================================================================

DROP TABLE IF EXISTS applis;
CREATE TABLE applis
(
  Mode      CHAR(8) NOT NULL,
  Opt       CHAR(1) NOT NULL,
  Applis    CHAR(20),
  PRIMARY KEY (Mode, Opt)
);

-- ======================================================================
--                    0 : Option None, Encarta, FnacJ
-- ======================================================================

INSERT INTO applis VALUES('Elv_11', '0', '10000001XX00000000');
INSERT INTO applis VALUES('11_F',   '0', '00000001XX11110000');
INSERT INTO applis VALUES('11_M',   '0', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_10', '0', '10000001XX00000000');
INSERT INTO applis VALUES('10_F',   '0', '00000001XX11110000');
INSERT INTO applis VALUES('10_M',   '0', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_9',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('9_F',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('9_M',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_8',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('8_F',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('8_M',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_7',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('7_F',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('7_M',    '0', '00000001XX11110000');

INSERT INTO applis VALUES('Elv_6',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('6_F',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('6_M',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('6_T',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('6_H',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('6_G',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('6_E',    '0', '00000001XX00100000');
INSERT INTO applis VALUES('6_A',    '0', '00000001XX00000001');
INSERT INTO applis VALUES('6_AL',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('6_ES',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_5',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('5_F',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('5_M',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('5_P',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('5_T',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('5_H',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('5_G',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('5_E',    '0', '00000001XX00100000');
INSERT INTO applis VALUES('5_A',    '0', '00000001XX00000001');
INSERT INTO applis VALUES('5_AL',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('5_ES',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_4',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('4_F',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('4_M',    '0', '00000001XX11111000');
INSERT INTO applis VALUES('4_P',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('4_T',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('4_H',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('4_G',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('4_E',    '0', '00000001XX00100000');
INSERT INTO applis VALUES('4_A',    '0', '00000001XX00000001');
INSERT INTO applis VALUES('4_AL',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('4_ES',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_3',  '0', '10000001XX00000000');
INSERT INTO applis VALUES('3_F',    '0', '00000001XX11111100');
INSERT INTO applis VALUES('3_M',    '0', '00000001XX11111100');
INSERT INTO applis VALUES('3_P',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('3_T',    '0', '00000001XX11110000');
INSERT INTO applis VALUES('3_H',    '0', '00000001XX11110100');
INSERT INTO applis VALUES('3_G',    '0', '00000001XX11110100');
INSERT INTO applis VALUES('3_E',    '0', '00000001XX00100100');
INSERT INTO applis VALUES('3_A',    '0', '00000001XX00000001');
INSERT INTO applis VALUES('3_AL',   '0', '00000000XX00000001');
INSERT INTO applis VALUES('3_ES',   '0', '00000000XX00000001');

INSERT INTO applis VALUES('Elv_2',  '0', '10000000XX00000000');
INSERT INTO applis VALUES('2_F',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('2_M',    '0', '00000000XX00110000');
INSERT INTO applis VALUES('Elv_1S', '0', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1E', '0', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1L', '0', '10000000XX00000000');
INSERT INTO applis VALUES('1_F',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('1L_W',   '0', '00000000XX10110100');
INSERT INTO applis VALUES('1E_W',   '0', '00000000XX10110100');
INSERT INTO applis VALUES('1L_ML',  '0', '00000000XX10110000');
INSERT INTO applis VALUES('1E_ME',  '0', '00000000XX10110000');
INSERT INTO applis VALUES('1S_MS',  '0', '00000000XX10110000');
INSERT INTO applis VALUES('Elv_TS', '0', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TE', '0', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TL', '0', '10000000XX00000000');
INSERT INTO applis VALUES('T_MS',   '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_ME',   '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_P',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_C',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_T',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_H',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_G',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_I',    '0', '00000000XX10110100');
INSERT INTO applis VALUES('T_SE',   '0', '00000000XX10110100');

INSERT INTO applis VALUES('Tut',    '0', '10111101XX00000000');

INSERT INTO applis VALUES('Adm',    '0', '11111001XX00000000');


-- ======================================================================
--                            1 : Option Cdfs
-- ======================================================================

INSERT INTO applis VALUES('Elv_11', '1', '00000001XX00000000');
INSERT INTO applis VALUES('11_F',   '1', '00000001XX11110000');
INSERT INTO applis VALUES('11_M',   '1', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_10', '1', '00000001XX00000000');
INSERT INTO applis VALUES('10_F',   '1', '00000001XX11110000');
INSERT INTO applis VALUES('10_M',   '1', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_9',  '1', '00000001XX00000000');
INSERT INTO applis VALUES('9_F',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('9_M',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_8',  '1', '00000001XX00000000');
INSERT INTO applis VALUES('8_F',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('8_M',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_7',  '1', '00000001XX00000000');
INSERT INTO applis VALUES('7_F',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('7_M',    '1', '00000001XX11110000');

INSERT INTO applis VALUES('Elv_6',  '1', '00000011XX00000000');
INSERT INTO applis VALUES('6_F',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('6_M',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('6_T',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('6_H',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('6_G',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('6_E',    '1', '00000001XX00100000');
INSERT INTO applis VALUES('6_A',    '1', '00000001XX00000001');
INSERT INTO applis VALUES('6_AL',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('6_ES',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_5',  '1', '00000011XX00000000');
INSERT INTO applis VALUES('5_F',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('5_M',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('5_P',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('5_T',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('5_H',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('5_G',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('5_E',    '1', '00000001XX00100000');
INSERT INTO applis VALUES('5_A',    '1', '00000001XX00000001');
INSERT INTO applis VALUES('5_AL',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('5_ES',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_4',  '1', '00000011XX00000000');
INSERT INTO applis VALUES('4_F',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('4_M',    '1', '00000001XX11111000');
INSERT INTO applis VALUES('4_P',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('4_T',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('4_H',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('4_G',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('4_E',    '1', '00000001XX00100000');
INSERT INTO applis VALUES('4_A',    '1', '00000001XX00000001');
INSERT INTO applis VALUES('4_AL',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('4_ES',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_3',  '1', '00000011XX00000000');
INSERT INTO applis VALUES('3_F',    '1', '00000001XX11111100');
INSERT INTO applis VALUES('3_M',    '1', '00000001XX11111100');
INSERT INTO applis VALUES('3_P',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('3_T',    '1', '00000001XX11110000');
INSERT INTO applis VALUES('3_H',    '1', '00000001XX11110100');
INSERT INTO applis VALUES('3_G',    '1', '00000001XX11110100');
INSERT INTO applis VALUES('3_E',    '1', '00000001XX00100100');
INSERT INTO applis VALUES('3_A',    '1', '00000001XX00000001');
INSERT INTO applis VALUES('3_AL',   '1', '00000000XX00000001');
INSERT INTO applis VALUES('3_ES',   '1', '00000000XX00000001');

INSERT INTO applis VALUES('Elv_2',  '1', '10000000XX00000000');
INSERT INTO applis VALUES('2_F',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('2_M',    '1', '00000000XX00110000');
INSERT INTO applis VALUES('Elv_1S', '1', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1E', '1', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1L', '1', '10000000XX00000000');
INSERT INTO applis VALUES('1_F',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('1L_W',   '1', '00000000XX10110100');
INSERT INTO applis VALUES('1E_W',   '1', '00000000XX10110100');
INSERT INTO applis VALUES('1L_ML',  '1', '00000000XX10110000');
INSERT INTO applis VALUES('1E_ME',  '1', '00000000XX10110000');
INSERT INTO applis VALUES('1S_MS',  '1', '00000000XX10110000');
INSERT INTO applis VALUES('Elv_TS', '1', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TE', '1', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TL', '1', '10000000XX00000000');
INSERT INTO applis VALUES('T_MS',   '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_ME',   '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_P',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_C',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_T',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_H',    '1', '00000000XX10110000');
INSERT INTO applis VALUES('T_G',    '1', '00000000XX10110000');
INSERT INTO applis VALUES('T_I',    '1', '00000000XX10110100');
INSERT INTO applis VALUES('T_SE',   '1', '00000000XX10110000');

INSERT INTO applis VALUES('Tut',    '1', '00110011XX00000000');

INSERT INTO applis VALUES('Adm',    '1', '11111011XX00000000');

-- ======================================================================
--                            2 : Option Edu4
-- ======================================================================

INSERT INTO applis VALUES('8_F',    '2', '00000001XX11110000');
INSERT INTO applis VALUES('8_M',    '2', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_7',  '2', '10000001XX00000000');
INSERT INTO applis VALUES('7_F',    '2', '00000001XX11110000');
INSERT INTO applis VALUES('7_M',    '2', '00000001XX11110000');

INSERT INTO applis VALUES('Elv_6',  '2', '00000010XX00000000');
INSERT INTO applis VALUES('6_F',    '2', '00000000XX11111010');
INSERT INTO applis VALUES('6_M',    '2', '00000000XX11111000');
INSERT INTO applis VALUES('6_T',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('6_H',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('6_G',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('6_E',    '2', '00000000XX00100000');
INSERT INTO applis VALUES('6_A',    '2', '00000000XX00000001');
INSERT INTO applis VALUES('6_AL',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('6_ES',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_5',  '2', '00000010XX00000000');
INSERT INTO applis VALUES('5_F',    '2', '00000000XX11111010');
INSERT INTO applis VALUES('5_M',    '2', '00000000XX11111000');
INSERT INTO applis VALUES('5_P',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('5_T',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('5_H',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('5_G',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('5_E',    '2', '00000000XX00100000');
INSERT INTO applis VALUES('5_A',    '2', '00000000XX00000001');
INSERT INTO applis VALUES('5_AL',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('5_ES',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_4',  '2', '00000010XX00000000');
INSERT INTO applis VALUES('4_F',    '2', '00000000XX11111010');
INSERT INTO applis VALUES('4_M',    '2', '00000000XX11111000');
INSERT INTO applis VALUES('4_P',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('4_T',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('4_H',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('4_G',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('4_E',    '2', '00000000XX00100000');
INSERT INTO applis VALUES('4_A',    '2', '00000000XX00000001');
INSERT INTO applis VALUES('4_AL',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('4_ES',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_3',  '2', '00000010XX00000000');
INSERT INTO applis VALUES('3_F',    '2', '00000000XX11111110');
INSERT INTO applis VALUES('3_M',    '2', '00000000XX11111100');
INSERT INTO applis VALUES('3_P',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('3_T',    '2', '00000000XX11110000');
INSERT INTO applis VALUES('3_H',    '2', '00000000XX11110100');
INSERT INTO applis VALUES('3_G',    '2', '00000000XX11110100');
INSERT INTO applis VALUES('3_E',    '2', '00000000XX00100100');
INSERT INTO applis VALUES('3_A',    '2', '00000000XX00000001');
INSERT INTO applis VALUES('3_AL',   '2', '00000000XX00000001');
INSERT INTO applis VALUES('3_ES',   '2', '00000000XX00000001');

INSERT INTO applis VALUES('Tut',    '2', '00111010XX00000000');

INSERT INTO applis VALUES('Adm',    '2', '11111010XX00000000');

-- ======================================================================
--                   3 : Option MAIF, Nrj, EduPack
-- ======================================================================

INSERT INTO applis VALUES('Elv_11', '3', '10000001XX00000000');
INSERT INTO applis VALUES('11_F',   '3', '00000001XX11110000');
INSERT INTO applis VALUES('11_M',   '3', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_10', '3', '10000001XX00000000');
INSERT INTO applis VALUES('10_F',   '3', '00000001XX11110000');
INSERT INTO applis VALUES('10_M',   '3', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_9',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('9_F',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('9_M',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_8',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('8_F',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('8_M',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('Elv_7',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('7_F',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('7_M',    '3', '00000001XX11110000');

INSERT INTO applis VALUES('Elv_6',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('6_F',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('6_M',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('6_T',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('6_H',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('6_G',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('6_E',    '3', '00000001XX00100000');
INSERT INTO applis VALUES('6_A',    '3', '00000001XX00000001');
INSERT INTO applis VALUES('6_AL',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('6_ES',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_5',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('5_F',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('5_M',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('5_P',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('5_T',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('5_H',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('5_G',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('5_E',    '3', '00000001XX00100000');
INSERT INTO applis VALUES('5_A',    '3', '00000001XX00000001');
INSERT INTO applis VALUES('5_AL',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('5_ES',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_4',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('4_F',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('4_M',    '3', '00000001XX11111000');
INSERT INTO applis VALUES('4_P',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('4_T',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('4_H',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('4_G',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('4_E',    '3', '00000001XX00100000');
INSERT INTO applis VALUES('4_A',    '3', '00000001XX00000001');
INSERT INTO applis VALUES('4_AL',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('4_ES',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_3',  '3', '10000001XX00000000');
INSERT INTO applis VALUES('3_F',    '3', '00000001XX11111100');
INSERT INTO applis VALUES('3_M',    '3', '00000001XX11111100');
INSERT INTO applis VALUES('3_P',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('3_T',    '3', '00000001XX11110000');
INSERT INTO applis VALUES('3_H',    '3', '00000001XX11110100');
INSERT INTO applis VALUES('3_G',    '3', '00000001XX11110100');
INSERT INTO applis VALUES('3_E',    '3', '00000001XX00100100');
INSERT INTO applis VALUES('3_A',    '3', '00000001XX00000001');
INSERT INTO applis VALUES('3_AL',   '3', '00000000XX00000001');
INSERT INTO applis VALUES('3_ES',   '3', '00000000XX00000001');

INSERT INTO applis VALUES('Elv_2',  '3', '10000000XX00000000');
INSERT INTO applis VALUES('2_F',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('2_M',    '3', '00000000XX00110000');
INSERT INTO applis VALUES('Elv_1S', '3', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1E', '3', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_1L', '3', '10000000XX00000000');
INSERT INTO applis VALUES('1_F',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('1L_W',   '3', '00000000XX10110100');
INSERT INTO applis VALUES('1E_W',   '3', '00000000XX10110100');
INSERT INTO applis VALUES('1L_ML',  '3', '00000000XX10110000');
INSERT INTO applis VALUES('1E_ME',  '3', '00000000XX10110000');
INSERT INTO applis VALUES('1S_MS',  '3', '00000000XX10110000');
INSERT INTO applis VALUES('Elv_TS', '3', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TE', '3', '10000000XX00000000');
INSERT INTO applis VALUES('Elv_TL', '3', '10000000XX00000000');
INSERT INTO applis VALUES('T_MS',   '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_ME',   '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_P',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_C',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_T',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_H',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_G',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_I',    '3', '00000000XX10110100');
INSERT INTO applis VALUES('T_SE',   '3', '00000000XX10110100');

INSERT INTO applis VALUES('Tut',    '3', '10111101XX00000000');

INSERT INTO applis VALUES('Adm',    '3', '11111001XX00000000');


-- ======================================================================
--                             4 : Option Svj
-- ======================================================================

INSERT INTO applis VALUES('Elv_6',  '4', '00000001XX00000000');
INSERT INTO applis VALUES('6_F',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('6_M',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('6_T',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('6_H',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('6_G',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('6_E',    '4', '00000001XX00100000');
INSERT INTO applis VALUES('6_A',    '4', '00000001XX00000001');
INSERT INTO applis VALUES('6_AL',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('6_ES',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_5',  '4', '00000001XX00000000');
INSERT INTO applis VALUES('5_F',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('5_M',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('5_P',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('5_T',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('5_H',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('5_G',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('5_E',    '4', '00000001XX00100000');
INSERT INTO applis VALUES('5_A',    '4', '00000001XX00000001');
INSERT INTO applis VALUES('5_AL',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('5_ES',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_4',  '4', '00000001XX00000000');
INSERT INTO applis VALUES('4_F',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('4_M',    '4', '00000001XX11111000');
INSERT INTO applis VALUES('4_P',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('4_T',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('4_H',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('4_G',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('4_E',    '4', '00000001XX00100000');
INSERT INTO applis VALUES('4_A',    '4', '00000001XX00000001');
INSERT INTO applis VALUES('4_AL',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('4_ES',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('Elv_3',  '4', '00000001XX00000000');
INSERT INTO applis VALUES('3_F',    '4', '00000001XX11111100');
INSERT INTO applis VALUES('3_M',    '4', '00000001XX11111100');
INSERT INTO applis VALUES('3_P',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('3_T',    '4', '00000001XX11110000');
INSERT INTO applis VALUES('3_H',    '4', '00000001XX11110100');
INSERT INTO applis VALUES('3_G',    '4', '00000001XX11110100');
INSERT INTO applis VALUES('3_E',    '4', '00000001XX00100100');
INSERT INTO applis VALUES('3_A',    '4', '00000001XX00000001');
INSERT INTO applis VALUES('3_AL',   '4', '00000000XX00000001');
INSERT INTO applis VALUES('3_ES',   '4', '00000000XX00000001');

-- $Id: createApplis.sql,v 1.22 2004/03/31 16:21:02 cpfeiffer Exp $

