
USE Asp;

-- ============================================
--       Table des messages des bulles  
-- ============================================

DROP TABLE IF EXISTS arthur;
CREATE TABLE arthur 
(
  MsgId    CHAR(16)   NOT NULL DEFAULT '',
  Alea     TINYINT unsigned NOT NULL DEFAULT '0',
  Step     TINYINT unsigned NOT NULL DEFAULT '0',
  Action   ENUM('Talk', 'MoveTo', 'SetFace', 'Show', 'Hide') NOT NULL DEFAULT 'Talk',
  Delay    TINYINT unsigned,
  Arg      VARCHAR(128),
  PRIMARY KEY (MsgId, Alea, Step)
);

-- PRESENT
INSERT INTO arthur VALUES('PRESENT', '0', '0', 'Talk',  '3', 'tut_speak1|Je me prsente,<BR>je m%27appelle Arthur.');
INSERT INTO arthur VALUES('PRESENT', '0', '1', 'Talk',  '3', 'tut_speak1|Tu peux me faire rpter,<BR>en double cliquant sur moi.');
INSERT INTO arthur VALUES('PRESENT', '0', '2', 'Talk',  '2', 'tut_speak1|Je peux me cacher.');
INSERT INTO arthur VALUES('PRESENT', '0', '3', 'Hide',  '2', '');
INSERT INTO arthur VALUES('PRESENT', '0', '4', 'Show',  '1', '');
INSERT INTO arthur VALUES('PRESENT', '0', '5', 'Talk',  '3', 'tut_speak1|Je peux me dplacer<BR>tout seul.');
INSERT INTO arthur VALUES('PRESENT', '0', '6', 'MoveTo','2', '100,100,10');
INSERT INTO arthur VALUES('PRESENT', '0', '7', 'MoveTo','2', '10,100,10');
INSERT INTO arthur VALUES('PRESENT', '0', '8', 'Talk',  '3', 'tut_speak1|Tu peux me dplacer<BR>en me faisant glisser.');
INSERT INTO arthur VALUES('PRESENT', '1', '0', 'Talk',  '2', 'tut_speak1|Moi, c%27est Arthur.');
INSERT INTO arthur VALUES('PRESENT', '1', '1', 'Talk',  '3', 'tut_speak1|Je suis l pour<BR>t%27aider dans tes rvisions.');
INSERT INTO arthur VALUES('PRESENT', '1', '2', 'Talk',  '3', 'tut_speak1|Je suis un compagnon<BR>particulirement discret.');
INSERT INTO arthur VALUES('PRESENT', '1', '3', 'Hide',  '2', '');
INSERT INTO arthur VALUES('PRESENT', '1', '4', 'Show',  '1', '');
INSERT INTO arthur VALUES('PRESENT', '1', '5', 'Talk',  '2', 'tut_speak1|Aussi agile qu%27un singe&nbsp;!');
INSERT INTO arthur VALUES('PRESENT', '1', '6', 'MoveTo','2', '100,100,10');
INSERT INTO arthur VALUES('PRESENT', '1', '7', 'MoveTo','2', '10,100,10');
INSERT INTO arthur VALUES('PRESENT', '1', '8', 'Talk',  '2', 'tut_speak1|Tu peux me dplacer<BR>comme bon te semble.');
INSERT INTO arthur VALUES('PRESENT', '1', '9', 'Talk',  '3', 'tut_speak1|Difficile<BR>d%27tre plus accommodant&nbsp;!');

-- HELLO
INSERT INTO arthur VALUES('HELLO', '0', '0', 'Talk', '2', 'tut_speak1|Bonjour %s.');
INSERT INTO arthur VALUES('HELLO', '0', '1', 'Talk', '2', 'tut_speak1|Comment vas-tu&nbsp;?');
INSERT INTO arthur VALUES('HELLO', '1', '0', 'Talk', '2', 'tut_speak1|Bonjour %s&nbsp;!');
INSERT INTO arthur VALUES('HELLO', '1', '1', 'Talk', '2', 'tut_speak1|Tu vas bien&nbsp;?');
INSERT INTO arthur VALUES('HELLO', '2', '0', 'Talk', '2', 'tut_speak1|Salut %s.');
INSERT INTO arthur VALUES('HELLO', '2', '1', 'Talk', '2', 'tut_speak1|Comment a va<BR>en ce moment &nbsp;?');
INSERT INTO arthur VALUES('HELLO', '2', '2', 'Talk', '2', 'tut_speak1|As-tu beaucoup de travail&nbsp;?');
INSERT INTO arthur VALUES('HELLO', '3', '0', 'Talk', '2', 'tut_speak1|Hello %s.');
INSERT INTO arthur VALUES('HELLO', '3', '1', 'Talk', '2', 'tut_speak1|Comment va la vie&nbsp;?');
INSERT INTO arthur VALUES('HELLO', '4', '0', 'Talk', '2', 'tut_speak1|Buon Giorno %s&nbsp;!');
INSERT INTO arthur VALUES('HELLO', '4', '1', 'Talk', '2', 'tut_speak1|Au fait, parles-tu italien&nbsp;?');
INSERT INTO arthur VALUES('HELLO', '5', '0', 'Talk', '2', 'tut_speak1|Bonjour  toi.');
INSERT INTO arthur VALUES('HELLO', '5', '1', 'Talk', '2', 'tut_speak1|Tu m%27as l%27air en pleine forme&nbsp;!');
INSERT INTO arthur VALUES('HELLO', '6', '0', 'Talk', '2', 'tut_speak1|Hello %s&nbsp;!');
INSERT INTO arthur VALUES('HELLO', '6', '1', 'Talk', '2', 'tut_speak1|Tout va bien&nbsp;?');

-- HEL_LONGTIME
INSERT INTO arthur VALUES('HEL_LONGTIME', '0', '0', 'Talk', '2', 'tut_speak1|Il y avait longtemps.');
INSERT INTO arthur VALUES('HEL_LONGTIME', '0', '1', 'Talk', '2', 'tut_speak1|Comment vas-tu %s&nbsp;?');
INSERT INTO arthur VALUES('HEL_LONGTIME', '1', '0', 'Talk', '3', 'tut_speak1|Que devenais-tu %s<BR>depuis tout ce temps&nbsp;?');
INSERT INTO arthur VALUES('HEL_LONGTIME', '2', '0', 'Talk', '3', 'tut_speak1|Je ne te vois plus<BR>trs souvent...');
INSERT INTO arthur VALUES('HEL_LONGTIME', '3', '0', 'Talk', '3', 'tut_speak1|j%27ai le sentiment<BR>qu%27on ne s%27est pas vus<BR>depuis des lustres.');

-- HEL_BIRTH
INSERT INTO arthur VALUES('HEL_BIRTH', '0', '0', 'Talk', '3', 'tut_speak1|Tout d%27abord,<BR>joyeux anniversaire %s&nbsp;!');
INSERT INTO arthur VALUES('HEL_BIRTH', '0', '1', 'Talk', '3', 'tut_speak1|Qu%27est-ce que cela fait<BR>d%27avoir un an de plus&nbsp;?');
INSERT INTO arthur VALUES('HEL_BIRTH', '1', '0', 'Talk', '2', 'tut_speak1|Bonjour %s.');
INSERT INTO arthur VALUES('HEL_BIRTH', '1', '1', 'Talk', '3', 'tut_speak1|Alors, un an de plus&nbsp;!');
INSERT INTO arthur VALUES('HEL_BIRTH', '2', '0', 'Talk', '2', 'tut_speak1|Hello %s.');
INSERT INTO arthur VALUES('HEL_BIRTH', '2', '1', 'Talk', '2', 'tut_speak1|Happy birthday&nbsp;!');
INSERT INTO arthur VALUES('HEL_BIRTH', '2', '2', 'Talk', '2', 'tut_speak1|Voici un bonjour en VO&nbsp;!');

-- SUB_FIRST
INSERT INTO arthur VALUES('SUB_FIRST', '0', '0', 'MoveTo', '2', '300,200,10');
INSERT INTO arthur VALUES('SUB_FIRST', '0', '1', 'Talk',   '3', 'tut_speak1|Choisis la matire<BR>que tu veux travailler.');
INSERT INTO arthur VALUES('SUB_FIRST', '1', '0', 'MoveTo', '2', '300,200,10');
INSERT INTO arthur VALUES('SUB_FIRST', '1', '1', 'Talk',   '3', 'tut_speak1|Clique sur le nom<BR>d%27une matire.');
INSERT INTO arthur VALUES('SUB_FIRST', '2', '0', 'MoveTo', '2', '300,200,10');
INSERT INTO arthur VALUES('SUB_FIRST', '2', '1', 'Talk',   '3', 'tut_speak1|Par quelle matire<BR>commence-t-on&nbsp;?');
INSERT INTO arthur VALUES('SUB_FIRST', '3', '0', 'MoveTo', '2', '300,200,10');
INSERT INTO arthur VALUES('SUB_FIRST', '3', '1', 'Talk',   '3', 'tut_speak1|Commence par une matire.<BR>Tu reviendras pour en choisir une autre.');

-- SUB_OTHER
INSERT INTO arthur VALUES('SUB_OTHER', '0', '0', 'MoveTo', '2', '320,200,10');
INSERT INTO arthur VALUES('SUB_OTHER', '0', '1', 'Talk',   '3', 'tut_speak1|Veux-tu choisir<BR>une autre matire&nbsp;?');
INSERT INTO arthur VALUES('SUB_OTHER', '1', '0', 'MoveTo', '2', '320,200,10');
INSERT INTO arthur VALUES('SUB_OTHER', '1', '1', 'Talk',   '3', 'tut_speak1|Si on travaillait<BR>sur autre chose&nbsp;?');
INSERT INTO arthur VALUES('SUB_OTHER', '2', '0', 'MoveTo', '2', '320,200,10');
INSERT INTO arthur VALUES('SUB_OTHER', '2', '1', 'Talk',   '3', 'tut_speak1| quoi passe-t-on maintenant&nbsp;?');

-- TOP_CHOICE
INSERT INTO arthur VALUES('TOP_CHOICE', '0', '0', 'MoveTo', '2', '340,380,10');
INSERT INTO arthur VALUES('TOP_CHOICE', '0', '1', 'Talk',   '2', 'tut_speak1|Voici le menu de la matire.');
INSERT INTO arthur VALUES('TOP_CHOICE', '0', '2', 'Talk',   '2', 'tut_speak1|Qu%27est-ce que tu veux faire&nbsp;?');
INSERT INTO arthur VALUES('TOP_CHOICE', '0', '3', 'Talk',   '2', 'tut_speak1|Choisis la rubrique<BR>qui correspond  ton objectif.');
INSERT INTO arthur VALUES('TOP_CHOICE', '1', '0', 'MoveTo', '2', '340,380,10');
INSERT INTO arthur VALUES('TOP_CHOICE', '1', '1', 'Talk',   '2', 'tut_speak1|Il y a plusieurs options possibles.');
INSERT INTO arthur VALUES('TOP_CHOICE', '1', '2', 'Talk',   '3', 'tut_speak1|Veux-tu rviser,<BR>faire des exercices,<BR>valuer tes connaissances&nbsp;?');
INSERT INTO arthur VALUES('TOP_CHOICE', '1', '3', 'Talk',   '2', 'tut_speak1|Choisis la rubrique correspondante.');
INSERT INTO arthur VALUES('TOP_CHOICE', '2', '0', 'MoveTo', '2', '340,380,10');
INSERT INTO arthur VALUES('TOP_CHOICE', '2', '1', 'Talk',   '3', 'tut_speak1|Si tu ne sais pas<BR>par o commencer,<BR>va voir les conseils.');
INSERT INTO arthur VALUES('TOP_CHOICE', '2', '2', 'Talk',   '3', 'tut_speak1|<I>Rviser le programme</I><BR>te donne une vue d%27ensemble du programme.');
INSERT INTO arthur VALUES('TOP_CHOICE', '2', '3', 'Talk',   '2', 'tut_speak1|N%27oublie pas que<BR>tu peux toujours<BR> recourir au lexique.');

-- ADV_CAREFUL
INSERT INTO arthur VALUES('ADV_CAREFUL', '0', '0', 'Talk',   '2', 'tut_speak1|Observe ton bilan.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '0', '1', 'Talk',   '3', 'tut_speak1|Si les barres sont<BR>colores en vert,<BR> c%27est bon signe&nbsp;!');
INSERT INTO arthur VALUES('ADV_CAREFUL', '0', '2', 'Talk',   '3', 'tut_speak1|Avec la souris,<BR>tu peux faire apparatre<BR> les intituls des thmes tudis.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '0', '3', 'Talk',   '3', 'tut_speak1|N%27oublie pas<BR>d%27utiliser les conseils.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '0', '4', 'MoveTo', '2', '350,50,8');
INSERT INTO arthur VALUES('ADV_CAREFUL', '1', '0', 'Talk',   '3', 'tut_speak1|Sur cette page,<BR>tu trouves un bilan<BR> et quelques remarques.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '1', '1', 'Talk',   '3', 'tut_speak1|Si les scores sont moyens,<BR>surtout ne te dcourage pas.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '1', '2', 'Talk',   '2', 'tut_speak1|Pense que tu peux les amliorer.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '1', '3', 'Talk',   '2', 'tut_speak1|Tiens compte du programme de travail.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '1', '4', 'MoveTo', '2', '350,50,8');
INSERT INTO arthur VALUES('ADV_CAREFUL', '2', '0', 'Talk',   '3', 'tut_speak1|Le nombre de barres colores<BR>t%27indique le nombre de thmes travaills.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '2', '1', 'Talk',   '3', 'tut_speak1|Si elles sont plutt rouges,<BR>n%27hsite pas  lire les conseils.');
INSERT INTO arthur VALUES('ADV_CAREFUL', '2', '2', 'MoveTo', '2', '350,50,8');

-- PRG
INSERT INTO arthur VALUES('PRG', '0', '0', 'Talk',   '2', 'tut_speak1|Voici ton programme<BR>de l%27anne dans la matire.');
INSERT INTO arthur VALUES('PRG', '0', '1', 'Talk',   '2', 'tut_speak1|Clique sur l%27intitul<BR>de ton choix.');
INSERT INTO arthur VALUES('PRG', '0', '2', 'Talk',   '3', 'tut_speak1|Tu peux ainsi accder<BR> une fiche interactive.');
INSERT INTO arthur VALUES('PRG', '1', '0', 'Talk',   '3', 'tut_speak1|Slectionne le thme<BR>qui t%27intresse.');
INSERT INTO arthur VALUES('PRG', '1', '1', 'Talk',   '2', 'tut_speak1|Tous les thmes dj &nbsp;visits&nbsp; sont cochs.');
INSERT INTO arthur VALUES('PRG', '1', '2', 'Talk',   '2', 'tut_speak1|N%27hsite pas  revenir<BR>sur ceux marqus d%27une puce rouge.');

-- EVA_SELECT
INSERT INTO arthur VALUES('EVA_SELECT', '0', '0', 'Talk', '2', 'tut_speak1|Coche les thmes<BR>sur lesquels tu veux<BR>t%27valuer.');
INSERT INTO arthur VALUES('EVA_SELECT', '0', '1', 'Talk', '2', 'tut_speak1|Puis clique sur<BR><I>S%27valuer</I>.');
INSERT INTO arthur VALUES('EVA_SELECT', '1', '0', 'Talk', '2', 'tut_speak1|Sur quels thmes<BR>porte ton contrle&nbsp;?');
INSERT INTO arthur VALUES('EVA_SELECT', '1', '1', 'Talk', '3', 'tut_speak1|Pour lancer les tests,<BR>clique sur <I>S%27valuer</I>.');
INSERT INTO arthur VALUES('EVA_SELECT', '1', '2', 'Talk', '3', 'tut_speak1|Ensuite, essaye<BR>d%27aller jusqu%27au bout.');

-- EVA_REPORT
INSERT INTO arthur VALUES('EVA_REPORT', '0', '0', 'Talk', '2', 'tut_speak1|Voici le bilan<BR>de la dernire srie de tests.');
INSERT INTO arthur VALUES('EVA_REPORT', '0', '1', 'Talk', '3', 'tut_speak1|Pour voir le bilan global<BR>,clique sur <I>Voir les conseils</I>.');
INSERT INTO arthur VALUES('EVA_REPORT', '1', '0', 'Talk', '2', 'tut_speak1|Si ton bilan est moyen,<BR>ne te dcourage pas.');
INSERT INTO arthur VALUES('EVA_REPORT', '1', '1', 'Talk', '2', 'tut_speak1|Slectionne  nouveau<BR>le thme et va jusqu%27au bout.');
INSERT INTO arthur VALUES('EVA_REPORT', '2', '0', 'Talk', '2', 'tut_speak1|Tu peux toujours<BR>amliorer ton bilan<BR> en recommenant.');
INSERT INTO arthur VALUES('EVA_REPORT', '2', '1', 'Talk', '2', 'tut_speak1|En voil un bon conseil&nbsp;!');

-- A2S_MAN
INSERT INTO arthur VALUES('A2S_MAN', '0', '0', 'Talk', '3', 'tut_speak1|Voici la table des matires de<BR>ton manuel.');
INSERT INTO arthur VALUES('A2S_MAN', '0', '1', 'Talk', '3', 'tut_speak1|Tu y retrouves<BR>les notions de ton programme.');

-- A2S_REF
INSERT INTO arthur VALUES('A2S_REF', '0', '0', 'Talk', '2', 'tut_speak1|Tape le numro et la page<BR>de ton exercice,');
INSERT INTO arthur VALUES('A2S_REF', '0', '1', 'Talk', '3', 'tut_speak1|Si tu utilises<BR>un autre manuel,<BR>clique sur <I>Autre manuel</I>.');
INSERT INTO arthur VALUES('A2S_REF', '0', '2', 'Talk', '3', 'tut_speak1|Aprs validation,<BR> tu accdes  une explication de ton exercice.');
INSERT INTO arthur VALUES('A2S_REF', '1', '0', 'Talk', '2', 'tut_speak1|Quel est l%27exercice qui te donne du fil  retordre&nbsp;?');
INSERT INTO arthur VALUES('A2S_REF', '1', '1', 'Talk', '3', 'tut_speak1|Indique ses rfrences.');
INSERT INTO arthur VALUES('A2S_REF', '1', '2', 'Talk', '3', 'tut_speak1|Puis clique sur Ok pour afficher l%27explication.');

-- $Id: createArthur.sql,v 1.15 2003/01/28 11:43:14 vtournier Exp $