USE Asp;

-- ============================================
--                  Utilisateurs   
-- ============================================

DROP TABLE IF EXISTS users;
CREATE TABLE users
(
  Login         CHAR(24) NOT NULL PRIMARY KEY, 
  Password      VARCHAR(20) NOT NULL,
  Categorie     ENUM('Elv', 'Tut', 'Adm', 'Ens', 'Par', 'Doc') NOT NULL DEFAULT 'Elv',
  Classe        ENUM('PS','MS','GS','11','10','9','8','7','6','5','4','3','2','1S','1L','1E','TS','TE','TL') NOT NULL DEFAULT '6',
  
  Email         VARCHAR(64),
  Nom           VARCHAR(32),
  Prenom        VARCHAR(32),
  Sexe          ENUM('H', 'F') DEFAULT 'H', 
  Naissance     DATE,
    
  EtabNom       VARCHAR(32),
  EtabAdresse   TINYTEXT,
  EtabCP        VARCHAR(10),
  EtabVille     VARCHAR(32),
  EtabPays      VARCHAR(32),
  
  InsOrigine    VARCHAR(16),
  InsCode       VARCHAR(32),
  InsDate       DATETIME,
  InsExpire     DATETIME,  
  InsType       ENUM('Indfini','Financ','Gratuit','Essai','Payant') default 'Indfini',
  
  Browser       VARCHAR(64),
  NbVisite      INT DEFAULT 0,
  MaJ           DATETIME
);

INSERT INTO users VALUES('IMC_11', 'MFPARP', 'Elv', '11', 'pppierre@free.fr', 'MENVUSSA',   'Grard',   'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_10', 'MFPARP', 'Elv', '10', 'pppierre@free.fr', 'MENVUSSA',   'Grard',   'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_9',  'MFPARP', 'Elv', '9',  'pppierre@free.fr', 'DANLETAS',   'Alfonse',  'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_8',  'MFPARP', 'Elv', '8',  'pppierre@free.fr', 'DANLETAS',   'Alfonse',  'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_7',  'MFPARP', 'Elv', '7',  'pppierre@free.fr', 'DANLETAS',   'Alfonse',  'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_6',  'MFPARP', 'Elv', '6',  'pppierre@free.fr', 'D\'ANDRESY', 'Raoul',    'H', '2000-12-10', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_5',  'MFPARP', 'Elv', '5',  'pppierre@free.fr', 'INFOMEDIA',  'Marc',     'H', '1997-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_4',  'MFPARP', 'Elv', '4',  'pppierre@free.fr', 'INFOMEDIA',  'Sandrine', 'F', '1997-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_3',  'MFPARP', 'Elv', '3',  'pppierre@free.fr', 'INFOMEDIA',  'Laurianne','F', '1997-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_2',  'MFPARP', 'Elv', '2', 'pppierre@free.fr', 'INFOMEDIA',  'Anne',     'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_1S', 'MFPARP', 'Elv', '1S', 'pppierre@free.fr', 'INFOMEDIA',  'Anne',     'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_1E', 'MFPARP', 'Elv', '1E', 'pppierre@free.fr', 'INFOMEDIA',  'Anne',     'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_1L', 'MFPARP', 'Elv', '1L', 'pppierre@free.fr', 'INFOMEDIA',  'Anne',     'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_TS', 'MFPARP', 'Elv', 'TS', 'pppierre@free.fr', 'INFOMEDIA',  'Anne',     'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_TE', 'MFPARP', 'Elv', 'TE', 'pppierre@free.fr', 'INFOMEDIA',  'Catherine','F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('IMC_TL', 'MFPARP', 'Elv', 'TL', 'pppierre@free.fr', 'INFOMEDIA',  'Isabelle', 'F', '1977-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567A', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('TUTEUR', 'MFPARP', 'Tut', '6',  'pppierre@free.fr', 'BAUTRELET',  'Isidore',  'H', '1965-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', 'P234567B', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('ELEVE',  'ELEVE',  'Elv', '5',  'pppierre@free.fr', 'MARTIN',     'Nathalie', 'F', '1986-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', '1234567C', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('ADMIN',  'MFPARP', 'Adm', '6',  'pppierre@free.fr', 'JUPITER',    'Gaston',   'H', '1965-10-24', 'Albert Camus', '12 rue de la Montagne', '75005', 'Paris', 'France', 'Imc', 'P234567B', NULL, NULL, 'Indfini', NULL, 0, NOW());
INSERT INTO users VALUES('EDU4',   '000000', 'Adm', '6',  'info@infomedia.fr','ADMINISTRATEUR', '',     'H', '',           '',             '',                      '',      '',      '',       'Edu4','',         NULL, NULL, 'Indfini', NULL, 0, NOW());

-- ============================================
--    Nombre de visites par page de module   
-- ============================================

DROP TABLE IF EXISTS user_visit;
CREATE TABLE user_visit 
(
  Month      CHAR(7) NOT NULL,
  Login      CHAR(24) NOT NULL,
  Page       CHAR(20) NOT NULL,
  Module     CHAR(8) NOT NULL,
  VisitCount TINYINT DEFAULT 0,
  DateIn     DATETIME,
  PRIMARY KEY (Month, Login, Page, Module)
);

-- ============================================
--    Dernier environnement de l'utilisateur   
-- ============================================

DROP TABLE IF EXISTS user_env;
CREATE TABLE user_env 
(
  Login     CHAR(24) NOT NULL,
  Module    CHAR(8) NOT NULL,
  DateIn    DATETIME,
  HelpUsed  ENUM('F', 'T') DEFAULT 'F',
  EvalTest  TINYTEXT,
  EvalDate  DATETIME,
  PRIMARY KEY (Login, Module)
);

-- ============================================
--                     Bilan   
-- ============================================

DROP TABLE IF EXISTS user_report;
CREATE TABLE user_report
(
  Login    CHAR(24) NOT NULL,
  Module   CHAR(8)  NOT NULL,
  NotionId CHAR(10) NOT NULL,
  TestId   VARCHAR(25) NOT NULL,
  Attempt  TINYINT DEFAULT 0,
  Mark     TINYINT DEFAULT 0,
  Coef     TINYINT DEFAULT 0,
  HelpUsed ENUM('F', 'T') DEFAULT 'F',
  DateIn   DATETIME,
  DateOut  DATETIME,
  PRIMARY KEY (Login, Module, NotionId, TestId)
);

-- ============================================
--       Groupe d'lves lis  un tuteur
-- ============================================

DROP TABLE IF EXISTS user_group;
CREATE TABLE user_group
(
  Login      CHAR(24) NOT NULL,
  GroupId    CHAR(20) NOT NULL,
  StudentId  CHAR(24) NOT NULL,
  PRIMARY KEY (Login, GroupId, StudentId)
);

INSERT INTO user_group VALUES('TUTEUR', 'Niveau 6e',        'IMC_6');
INSERT INTO user_group VALUES('TUTEUR', 'Niveau 5e',        'IMC_5');
INSERT INTO user_group VALUES('TUTEUR', 'Niveau Terminale', 'IMC_TS');
INSERT INTO user_group VALUES('TUTEUR', 'Niveau Terminale', 'IMC_TE');
INSERT INTO user_group VALUES('ADMIN',  'Collge',          'IMC_6');
INSERT INTO user_group VALUES('ADMIN',  'Collge',          'IMC_5');
INSERT INTO user_group VALUES('ADMIN',  'Collge',          'IMC_4');
INSERT INTO user_group VALUES('ADMIN',  'Collge',          'IMC_3');
INSERT INTO user_group VALUES('ADMIN',  'Lyce',            'IMC_TS');
INSERT INTO user_group VALUES('ADMIN',  'Lyce',            'IMC_TE');

-- ============================================
--        Messages tuteur humain-lve
-- ============================================

DROP TABLE IF EXISTS user_msg;
CREATE TABLE user_msg
(
  Login    CHAR(24) NOT NULL,
  Module   CHAR(8)  NOT NULL,
  NotionId CHAR(10) NOT NULL,
  TutorId  CHAR(24),
  ToDo     VARCHAR(128),
  DateIn   DATETIME,
  DateOut  DATETIME,
  Text     TINYBLOB,
  PRIMARY KEY (Login, Module, NotionId)
);

-- ============================================
--                      logs
-- ============================================

-- DROP TABLE IF EXISTS user_logs;
-- CREATE TABLE user_logs
-- (
--   InsOrigine    CHAR(16) NOT NULL,
--   Month         DATE NOT NULL,
--   Login         CHAR(24) NOT NULL,
--   Categorie     ENUM('Elv', 'Tut', 'Ens', 'Par', 'Doc') NOT NULL DEFAULT 'Elv',
--   NbVisite      INT DEFAULT 0,
--   PRIMARY KEY  (InsOrigine, Month, Login)
-- );

-- $Id: createUsers.sql,v 1.25 2004/01/22 15:01:40 cpfeiffer Exp $

